Bug 139240 - anaconda fails to use pre-mkfsed filesystem
Summary: anaconda fails to use pre-mkfsed filesystem
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-14 11:57 UTC by Bernhard Erdmann
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:02:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda's dump when / and /boot were pre-mkfsed (685.34 KB, text/plain)
2004-11-14 11:59 UTC, Bernhard Erdmann
no flags Details
anaconda's dump when / was pre-mkfsed (684.97 KB, text/plain)
2004-11-14 12:00 UTC, Bernhard Erdmann
no flags Details

Description Bernhard Erdmann 2004-11-14 11:57:05 UTC
Description of problem:
I tried to install FC3 onto filesystems (/ and /boot) already
mkfs.xfsed. anaconda died

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. mkfs.xfs /dev/sda4; mkfs.xfs /dev/sdb1
2. install FC3, use /dev/sda4 for / and /dev/sdb1 for /boot
3.
  
Actual results:
anaconda dies

Expected results:
installation of FC3
if the same devices are mkfs.xfsed by anaconda, installation continues
properly

Additional info:

Comment 1 Bernhard Erdmann 2004-11-14 11:59:04 UTC
Created attachment 106667 [details]
anaconda's dump when / and /boot were pre-mkfsed

Comment 2 Bernhard Erdmann 2004-11-14 12:00:31 UTC
Created attachment 106668 [details]
anaconda's dump when / was pre-mkfsed

Comment 3 Jeremy Katz 2004-11-15 15:18:36 UTC
Do the devices have a label previously on them?

Comment 4 Bernhard Erdmann 2004-11-15 15:28:04 UTC
no, no label has been given, just "mkfs.xfs /dev/sda4"

Comment 5 Jeremy Katz 2004-11-15 16:04:11 UTC
Can you manually add a label to the filesystem?

(Note that the XFS support in anaconda is unofficial and not really
supported; it's based almost completely on patches that have been
submitted from external reporters)

Comment 6 Jeremy Katz 2005-02-01 22:02:40 UTC
Closing due to inactivity.  Please reopen if you have further information to add
to this report.


Note You need to log in before you can comment on or make changes to this bug.